set RETDIR=%CD%
cd /d %~d0%~p0\..
if not exist ..\..\build call ..\..\+createClean_mklink_build.bat
REM This file is the batch file to call java and also the argument file.
REM Java class path for normal usage, and also for development <:@JCP.>
set JCP=../../tools/vishiaBase.jar;../../tools/vishiaOFB.jar
::set JCP=D:/vishia/Java/Eclipse_Pj/vishiaJava-24-12/bin
REM works in a loop for simple repeat <:@loop.>
:loop
if not exist cpp\genSrc call +createClean_cppGenSrc.bat
REM use --@file:label, the file is this file itself as %~d0%~p0%~n0%~x0 as absolute path to %0 <:@java.> 
echo CD=%CD%
echo on
java -cp %JCP% org.vishia.fbcl.OFBconv --@%~d0%~p0%~n0%~x0:args
@echo off
REM the arguments are written in lines which are comments for the batch processing ::
REM characters before the label args are identification for the arg lines, but not part of the argument,
REM one space and ## after the args label defines remove trailing spaces and remove comments after this ## as comment start string. 
REM --- is a commented argument for the java main routine
REM -tplCode:@org.vishia.fbcl references to inside the jar file given otx templates
REM -tplCode:makeScripts/scope.otx is an additional otx, for that the other should be given.
::args ##             
::-i:odg/OrthBandpassFilter.odg  ## The input odg file to translate
::---ifbd:path/to/Module.fbd          ## select translation only for this module <:@ifbd.> 
::---im:ModuleSpec                    ## select translation only for this module <:@im.> 
::-dirCmpn=.                        ## directory name builds $srcCmpnDir, as part of the name for the component <:@cmpn.>
::---dirStdFB:src/libModules_fbd/fbd
::-tplCode:@org.vishia.fbcl.writeFBcl.WriterCodegen:cHeader.otx     ## possible use other code generation templates 
::-tplCode:@org.vishia.fbcl.writeFBcl.WriterCodegen:cImpl.otx
::-tplCode:makeScripts/scope.otx      ## code generation templates for the scope files <:@otx.>   
::---cfg:$!                             ## cfg is contained in this same file. $= is absolute path of this args file <:@cfg.> 
::-dirGenSrc:cpp/genSrc               ## The output directory for generated souce code <:@out.> 
::-dirCmpGenSrc:cmpGen/genSrcCmp      ## directory for compare with source code generated before <:@cmpr.> 
::-dirFBcl:cpp/genSrc/FBcl            ## directory for generated FBcl files.<:@out.> 
::---dirFBcl:fbcl                       ## better use cpp/genSrc for more simple comparison 
::-dirCmpFBcl:cmpGen/genSrcCmp/FBcl   ## dir to compare generated FBcl files <:@cmpr.> 
::-dirReport:cpp/genSrc/report        ## output directory for some log files for data debugging <:@rep.>
::-log:cpp/genSrc/report/log.txt      ## output file for log <:@log.>
::---dirReport:report
::-dirDbg:../../build/$srcCmpnDir/dbg ## output directory for some log files for data debugging <:@dbg.> 
::---odg                                ## writes an file.odg as inner data presentation <:@odg.> 
::-oxmltest                           ## possibility to write back the read content.xml <:@xml.>
::---oxmldatahtml                       ## possibility to write internal data as html
::---datahtml                           ## possibility to write the internal data in html
REM runs in loop only if not called with NOPAUSE, else superior batch possible <:@loop.>
if not "%1"=="NOPAUSE" (
  pause
  cls
  goto :loop
)
REM exit with directory on call <:@dir.>
cd /D %RETDIR%
exit /B 0

